%bcond_without tests
%bcond_without weak_deps

%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
%global __provides_exclude_from ^/opt/ros/galactic/.*$
%global __requires_exclude_from ^/opt/ros/galactic/.*$

Name:           ros-galactic-ament-pep257
Version:        0.10.7
Release:        1%{?dist}%{?release_suffix}
Summary:        ROS ament_pep257 package

License:        Apache License 2.0 and MIT
Source0:        %{name}-%{version}.tar.gz

Requires:       python3-pydocstyle
Requires:       ros-galactic-ament-lint
Requires:       ros-galactic-ros-workspace
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  ros-galactic-ros-workspace
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}

%if 0%{?with_tests}
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  ros-galactic-ament-flake8
%endif

%description
The ability to check code against the style conventions in PEP 8 and generate
xUnit test result files.

%prep
%autosetup -p1

%build
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi
%py3_build

%install
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi
%py3_install -- --prefix "/opt/ros/galactic"

%if 0%{?with_tests}
%check
# Look for a directory with a name indicating that it contains tests
TEST_TARGET=$(ls -d * | grep -m1 "\(test\|tests\)" ||:)
if [ -n "$TEST_TARGET" ] && %__python3 -m pytest --version; then
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi
%__python3 -m pytest $TEST_TARGET || echo "RPM TESTS FAILED"
else echo "RPM TESTS SKIPPED"; fi
%endif

%files
/opt/ros/galactic

%changelog
* Thu Apr 28 2022 Audrow Nash <audrow@openrobotics.org> - 0.10.7-1
- Autogenerated by Bloom

* Fri May 07 2021 Audrow Nash <audrow@openrobotics.org> - 0.10.6-1
- Autogenerated by Bloom

* Tue Apr 20 2021 Audrow Nash <audrow@openrobotics.org> - 0.10.5-2
- Autogenerated by Bloom

* Wed Apr 14 2021 Audrow Nash <audrow@openrobotics.org> - 0.10.5-1
- Autogenerated by Bloom

* Thu Mar 18 2021 Claire Wang <clairewang@openrobotics.org> - 0.10.4-1
- Autogenerated by Bloom

* Mon Mar 08 2021 Claire Wang <clairewang@openrobotics.org> - 0.10.3-3
- Autogenerated by Bloom

